Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class RecipientKeyIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.RecipientKeyIdentifier

All Implemented Interfaces:
  DEREncodable

public class RecipientKeyIdentifier
extends ASN1Encodable

Constructor Summary
`RecipientKeyIdentifier(ASN1OctetString subjectKeyIdentifier, DERGeneralizedTime date, OtherKeyAttribute other)`
`RecipientKeyIdentifier(ASN1Sequence seq)`

Method Summary
`DERGeneralizedTime` | `getDate()`
`static RecipientKeyIdentifier` | `getInstance(ASN1TaggedObject _ato, boolean _explicit)` return a RecipientKeyIdentifier object from a tagged object.
`static RecipientKeyIdentifier` | `getInstance(java.lang.Object _obj)` return a RecipientKeyIdentifier object from the given object.
`OtherKeyAttribute` | `getOtherKeyAttribute()`
`ASN1OctetString` | `getSubjectKeyIdentifier()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientKeyIdentifier

    public RecipientKeyIdentifier(ASN1OctetString subjectKeyIdentifier,
                                  DERGeneralizedTime date,
                                  OtherKeyAttribute other)

### RecipientKeyIdentifier

    public RecipientKeyIdentifier(ASN1Sequence seq)

Method Detail

### getInstance

    public static RecipientKeyIdentifier getInstance(ASN1TaggedObject _ato,
                                                     boolean _explicit)

  return a RecipientKeyIdentifier object from a tagged object.
  Parameters:
    `_ato` - the tagged object holding the object we want.
    `_explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static RecipientKeyIdentifier getInstance(java.lang.Object _obj)

  return a RecipientKeyIdentifier object from the given object.
  Parameters:
    `_obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getSubjectKeyIdentifier

    public ASN1OctetString getSubjectKeyIdentifier()

### getDate

    public DERGeneralizedTime getDate()

### getOtherKeyAttribute

    public OtherKeyAttribute getOtherKeyAttribute()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       RecipientKeyIdentifier ::= SEQUENCE {
           subjectKeyIdentifier SubjectKeyIdentifier,
           date GeneralizedTime OPTIONAL,
           other OtherKeyAttribute OPTIONAL
       }

       SubjectKeyIdentifier ::= OCTET STRING

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD